<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>get_content()</title>
<meta name="author" content="Bieling Peter">
<meta name="generator" content="Ulli Meybohms HTML EDITOR">
<link rel="stylesheet" href="source.css" type="text/css">
</head>
<body>
<h2>get_content() - gesamten Inhalt eines Elements als String einlesen</h2>
<h3>XHTML aus XML</h3>
<p>Immer wieder taucht das Problem auf, dass man HTML <i>unbrokratisch</i> innerhalb eines
XML-Elements transportieren mchte. Daher kann es ntzlich sein, den Inhalt eines XML-Elements
als String einzulesen, ohne sich darum kmmern zu mssen, ob weitere XML-Elemente
im String vorhanden sind.</p>
<p>Unsere Beispieldatei enthlt eine komplette HTML-Seite</p>
<?php
require_once("../xml-line.php");
$mylines = new xml_line("brieftauben1.xml", "hixml");
$mylines->xml_stream();
// Inhalt de Puffers ausgeben:
echo $mylines->get_output();
?>
<p>Codebeispiel:</p>
<pre class="source"><span class="html">
<span class="default">&lt;?php
</span><span class="keyword">require_once(</span><span class="string">"../xml-line.php"</span><span class="keyword">);
</span><span class="default">$mylines </span><span class="keyword">= new </span><span class="default">xml_line</span><span class="keyword">(</span><span class="string">"brieftauben1.xml"</span><span class="keyword">);
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">get_content</span><span class="keyword">(</span><span class="default">0</span><span class="keyword">,</span><span class="string">"htmlseite"</span><span class="keyword">);
</span><span class="default">$result</span><span class="keyword">=</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">xml_stream</span><span class="keyword">();
echo </span><span class="string">"&lt;pre&gt;"</span><span class="keyword">;
echo </span><span class="default">htmlentities</span><span class="keyword">(</span><span class="default">print_r</span><span class="keyword">(</span><span class="default">$result</span><span class="keyword">, </span><span class="default">true</span><span class="keyword">));
echo </span><span class="string">"&lt;/pre&gt;"</span><span class="keyword">;
</span><span class="default">?&gt;</span>
</span>
</pre>



<p>Das Ergebnis-Array:</p>
<?php
require_once("../xml-line.php");
$mylines = new xml_line("brieftauben1.xml");
$mylines->get_content(0,"htmlseite");
$result=$mylines->xml_stream();
echo "<pre>";
echo htmlentities(print_r($result, true));
echo "</pre>";
?>

<p>Wie wir sehen, befindet sich jetzt unsere HTML-Seite als String komplett
 im Ergebnis-Array und kann als<br>
  $result[0][0][0]<br>
   abgerufen werden.</p>


</body>
</html>