<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>String nach einem Element einfgen</title>
<meta name="author" content="Bieling Peter">
<meta name="generator" content="Ulli Meybohms HTML EDITOR">
<link rel="stylesheet" href="source.css" type="text/css">
</head>
<body>
<h3>insert_after_element()</h3>
<p>Aus logischen Grnden heit die Methode jetzt nicht mehr
<i>insert_element_after_element()</i>. Es wird nmlich ein String nach dem
Schlusstag eingefgt. Das muss kein XML-Element sein.</p>
<p>Beispiel: Im Element <i>obst</i> den Eintrag <b>Birne</b> suchen und einen
String einfgen. Der String ist in diesem Fall ein neues Element.</p>
<pre class="source"><span class="html">
<span class="default">&lt;?php
$mylines </span><span class="keyword">= new </span><span class="default">xml_line</span><span class="keyword">(</span><span class="string">"xml-files/obst.xml"</span><span class="keyword">, </span><span class="string">"hixml"</span><span class="keyword">);
</span><span class="default">$arg</span><span class="keyword">=array(</span><span class="default">0</span><span class="keyword">, </span><span class="string">"obst"</span><span class="keyword">, </span><span class="string">"Birne"</span><span class="keyword">);
</span><span class="default">$insert</span><span class="keyword">=</span><span class="string">"&lt;obst&gt;Erdbeere&lt;/obst&gt;"</span><span class="keyword">;
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">insert_after_element</span><span class="keyword">(</span><span class="default">$arg</span><span class="keyword">, </span><span class="default">$insert</span><span class="keyword">);
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">xml_stream</span><span class="keyword">();
</span><span class="comment">// Inhalt des Puffers ausgeben:
</span><span class="keyword">echo </span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">get_output</span><span class="keyword">();
</span><span class="default">?&gt;</span>
</span>
</pre>

<?php
require_once("../xml-line.php");
echo "<h3>Vorher:</h3>";
$mylines = new xml_line("xml-files/obst.xml", "hixml");
$mylines->xml_stream();
// Inhalt de Puffers ausgeben:
echo $mylines->get_output();
?>

<h3>Nachher:</h3>
<?php
$mylines = new xml_line("xml-files/obst.xml", "hixml");
$arg=array(0, "obst", "Birne");
$insert="<obst>Erdbeere</obst>";
$mylines->insert_after_element($arg, $insert);
$mylines->xml_stream();
// Inhalt de Puffers ausgeben:
echo $mylines->get_output();
?>
</body>
</html>