<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Gemischte Inhalte</title>
<meta name="author" content="Bieling Peter">
<meta name="generator" content="Ulli Meybohms HTML EDITOR">
<link rel="stylesheet" href="source.css" type="text/css">
</head>
<body>
<h3>Mixed Content - Elemente mit gemischtem Inhalt</h3>

<?php
require_once("../xml-line.php");

//XML-File zeigen
$mylines = new xml_line("xml-files/mixed-content1.xml", "hixml");
$mylines->xml_stream();
echo $mylines->get_output();
?>
<h4>Inhalt von <i>p</i> auslesen:</h4>
<?php
$mylines = new xml_line("xml-files/mixed-content1.xml");
$mylines->get_data(0, "p");
$result=$mylines->xml_stream();
echo "<pre>";
print_r($result);
echo "</pre>";
?>

<p>Wir erhalten zwei Werte fr p. Das Element enthlt zwei Textknoten und ein weiteres
untergeordnetes Element mit eigenem Inhalt.</p>
<h4>Aufgabe: Ersetzen von <i>Bauchschmerzen</i> durch <i>Zahnschmerzen</i></h4>
<p>Lsungsweg: Wir mssen auf den zweiten Textknoten innerhalb des p-Elements zugreifen
und diesen ersetzen:</p>

<pre class="source"><span class="html">
<span class="default">&lt;?php
$mylines </span><span class="keyword">= new </span><span class="default">xml_line</span><span class="keyword">(</span><span class="string">"xml-files/mixed-content1.xml"</span><span class="keyword">, </span><span class="string">"hixml"</span><span class="keyword">);
</span><span class="default">$arg</span><span class="keyword">=array(</span><span class="default">0</span><span class="keyword">, </span><span class="string">"p"</span><span class="keyword">, </span><span class="string">""</span><span class="keyword">, </span><span class="string">""</span><span class="keyword">,</span><span class="string">"1-1:2"</span><span class="keyword">);
</span><span class="default">$replace</span><span class="keyword">= </span><span class="string">" Zahnschmerzen"</span><span class="keyword">;
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">change_data</span><span class="keyword">(</span><span class="default">$arg</span><span class="keyword">,</span><span class="default">$replace</span><span class="keyword">);
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">xml_stream</span><span class="keyword">();
echo </span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">get_output</span><span class="keyword">();
</span><span class="default">?&gt;</span>
</span>
</pre>


<?php
$mylines = new xml_line("xml-files/mixed-content1.xml", "hixml");
$arg=array(0, "p", "", "","1-1:2");
$replace= " Zahnschmerzen";
$mylines->change_data($arg,$replace);
$mylines->xml_stream();
echo $mylines->get_output();
?>

</body>
</html>