<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Beispiel: RSS-Datei auslesen</title>
<link rel="stylesheet" href="source.css" type="text/css">


</head>
<body>
<h3>Auslesen einer RSS-Datei</h3>
<h4 class="methode">Methode: get_data()</h4>
<p>Genau 3 Meldungen (nur Titel und Beschreibung) sollen angezeigt werden.</p>
<pre class="source"><code><span class="html">
<span class="default">&lt;?php
</span><span class="keyword">require_once(</span><span class="string">"../xml-line.php"</span><span class="keyword">);
</span><span class="default">$mylines </span><span class="keyword">= new </span><span class="default">xml_line</span><span class="keyword">(</span><span class="string">"xml-files/rss.xml"</span><span class="keyword">);
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">get_data</span><span class="keyword">(</span><span class="default">3</span><span class="keyword">,</span><span class="string">"rss/channel/item/title"</span><span class="keyword">);
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">get_data</span><span class="keyword">(</span><span class="default">3</span><span class="keyword">,</span><span class="string">"rss/channel/item/description"</span><span class="keyword">);
</span><span class="default">$result</span><span class="keyword">=</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">xml_stream</span><span class="keyword">();
echo </span><span class="string">"&lt;pre&gt;"</span><span class="keyword">;
</span><span class="default">print_r </span><span class="keyword">(</span><span class="default">$result</span><span class="keyword">);
echo </span><span class="string">"&lt;/pre&gt;"</span><span class="keyword">;
for (</span><span class="default">$i </span><span class="keyword">= </span><span class="default">0</span><span class="keyword">; </span><span class="default">$i </span><span class="keyword">&lt; </span><span class="default">3</span><span class="keyword">; </span><span class="default">$i</span><span class="keyword">++) {
    </span><span class="default">printf</span><span class="keyword">( </span><span class="string">"&lt;h3&gt;%s&lt;/h3&gt;" </span><span class="keyword">, </span><span class="default">$result</span><span class="keyword">[</span><span class="default">0</span><span class="keyword">][</span><span class="default">$i</span><span class="keyword">][</span><span class="default">0</span><span class="keyword">]);
    </span><span class="default">printf</span><span class="keyword">( </span><span class="string">"&lt;p&gt;%s&lt;/p&gt;" </span><span class="keyword">, </span><span class="default">$result</span><span class="keyword">[</span><span class="default">1</span><span class="keyword">][</span><span class="default">$i</span><span class="keyword">][</span><span class="default">0</span><span class="keyword">]);
}
</span><span class="default">?&gt;</span>
</span>
</code></pre>

<?php
require_once("../xml-line.php");
$mylines = new xml_line("xml-files/rss.xml");
$mylines->get_data(3,"rss/channel/item/title");
$mylines->get_data(3,"rss/channel/item/description");
$result=$mylines->xml_stream();
echo "<pre>";
print_r ($result);
echo "</pre>";
for ($i = 0; $i < 3; $i++) {
	printf( "<h3>%s</h3>" , $result[0][$i][0]);
	printf( "<p>%s</p>" , $result[1][$i][0]);
}
?>

</body>
</html>