<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Abfragemethode - get_data()</title>
<meta name="author" content="Bieling Peter">
<meta name="generator" content="Ulli Meybohms HTML EDITOR">
<link rel="stylesheet" href="source.css" type="text/css">
</head>
<body>
<h2>Abfragemethode get_data()</h2>
<pre class="source"><span class="html">
<span class="default">&lt;?php
</span><span class="keyword">require_once(</span><span class="string">"../xml-line.php"</span><span class="keyword">);
</span><span class="default">$mylines </span><span class="keyword">= new </span><span class="default">xml_line</span><span class="keyword">(</span><span class="string">"xml-files/obst.xml"</span><span class="keyword">);
</span><span class="comment">//Abfrage 1 (bekommt Index [0])
//Alles finden, was den String "Him" enthlt
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">get_data</span><span class="keyword">(</span><span class="default">1</span><span class="keyword">,</span><span class="string">""</span><span class="keyword">,</span><span class="string">"Him"</span><span class="keyword">);
</span><span class="comment">//Abfrage 2 (bekommt Index [1])
//Genau ein bestimmtes Obst-Element finden
//nahrungsmittel[1]/vegetarisch[1]/obst[2]
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">get_data</span><span class="keyword">(</span><span class="default">1</span><span class="keyword">,</span><span class="string">"nahrungsmittel/vegetarisch/obst"</span><span class="keyword">,</span><span class="string">""</span><span class="keyword">,</span><span class="string">""</span><span class="keyword">,</span><span class="string">"1-1-2"</span><span class="keyword">);
</span><span class="comment">//Abfrage 3 (bekommt Index [2])
//Welches Obst hat einen guten Preis?
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">get_data</span><span class="keyword">(</span><span class="default">1</span><span class="keyword">,</span><span class="string">"gemuese"</span><span class="keyword">,</span><span class="string">""</span><span class="keyword">,array(</span><span class="string">"preis" </span><span class="keyword">=&gt; </span><span class="string">"gut"</span><span class="keyword">));
</span><span class="default">$result </span><span class="keyword">= </span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">xml_stream</span><span class="keyword">();
</span><span class="default">?&gt;</span>
</span>
</pre>
<?php
require_once("../xml-line.php");
$mylines = new xml_line("xml-files/obst.xml");
//Abfrage 1 (bekommt Index [0])
//Alles finden, was den String "Him" enthlt
$mylines->get_data(1,"","Him");
//Abfrage 2 (bekommt Index [1])
//Genau ein bestimmtes Obst-Element finden
//nahrungsmittel[1]/vegetarisch[1]/obst[2]
$mylines->get_data(1,"nahrungsmittel/vegetarisch/obst","","","1-1-2");
//Abfrage 3 (bekommt Index [2])
//Welches Obst hat einen guten Preis?
$mylines->get_data(1,"gemuese","",array("preis" => "gut"));
$result = $mylines->xml_stream();
?>
<h3>Ergebnis:</h3>
<pre class="source"><span class="html">
<span class="default">&lt;?php
printf</span><span class="keyword">(</span><span class="string">"&lt;p&gt;Welcher Eintrag enthlt &lt;i&gt;Him&lt;/i&gt;?&lt;br&gt;
           Ergebnis von Suche 1 ist &lt;b&gt;%s&lt;/b&gt;.&lt;/p&gt;"</span><span class="keyword">,
           </span><span class="default">$result</span><span class="keyword">[</span><span class="default">0</span><span class="keyword">][</span><span class="default">0</span><span class="keyword">][</span><span class="default">0</span><span class="keyword">]);

</span><span class="default">printf</span><span class="keyword">(</span><span class="string">"&lt;p&gt;Welchen Wert hat das Element
           &lt;i&gt;nahrungsmittel[1]/vegetarisch[1]/obst[2]&lt;/i&gt;?&lt;br&gt;
           Ergebnis von Suche 2 ist &lt;b&gt;%s&lt;/b&gt;.&lt;/p&gt;"</span><span class="keyword">,
           </span><span class="default">$result</span><span class="keyword">[</span><span class="default">1</span><span class="keyword">][</span><span class="default">0</span><span class="keyword">][</span><span class="default">0</span><span class="keyword">]);

</span><span class="default">printf</span><span class="keyword">(</span><span class="string">"&lt;p&gt;Welches Gemse hat einen guten Preis (preis=&amp;quot;gut&amp;quot;)?
           &lt;br&gt;Ergebnis von Suche 3 ist &lt;b&gt;%s&lt;/b&gt;.&lt;/p&gt;"</span><span class="keyword">,
           </span><span class="default">$result</span><span class="keyword">[</span><span class="default">2</span><span class="keyword">][</span><span class="default">0</span><span class="keyword">][</span><span class="default">0</span><span class="keyword">]);
</span><span class="default">?&gt;</span>
</span>
</pre>
<?php
printf("<p>Welcher Eintrag enthlt <i>Him</i>?<br>
           Ergebnis von Suche 1 ist <b>%s</b>.</p>",
           $result[0][0][0]);

printf("<p>Welchen Wert hat das Element
           <i>nahrungsmittel[1]/vegetarisch[1]/obst[2]</i>?<br>
           Ergebnis von Suche 2 ist <b>%s</b>.</p>",
           $result[1][0][0]);

printf("<p>Welches Gemse hat einen guten Preis (preis=&quot;gut&quot;)?
           <br>Ergebnis von Suche 3 ist <b>%s</b>.</p>",
           $result[2][0][0]);
?>
</body>
</html>