<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>XML aus String lesen</title>
<meta name="author" content="Bieling Peter">
<meta name="generator" content="Ulli Meybohms HTML EDITOR">
<link rel="stylesheet" href="source.css" type="text/css">
</head>
<body>
<h3>XML aus String lesen</h3>
<p>XML-Line prft jetzt, ob aus einem String oder einer Datei gelesen werden soll.
Dabei wird davon ausgegangen, dass ein XML-String spitze Klammern enthalten muss,
whrend ein Dateiname keine spitzen Klammern haben darf.</p>
<p>Der Code:</p>
<pre class="source"><span class="html">
<span class="default">&lt;?php
</span><span class="comment">//Ein gltiger XML-String:
</span><span class="default">$obststring</span><span class="keyword">=</span><span class="string">"&lt;obst&gt;&lt;apfel&gt;gross&lt;/apfel&gt;&lt;/obst&gt;"</span><span class="keyword">;
require_once(</span><span class="string">"xml-line.php"</span><span class="keyword">);
</span><span class="default">$mylines </span><span class="keyword">= new </span><span class="default">xml_line</span><span class="keyword">(</span><span class="default">$obststring</span><span class="keyword">, </span><span class="string">"hixml"</span><span class="keyword">);
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">xml_stream</span><span class="keyword">();
</span><span class="comment">// Inhalt des Puffers ausgeben:
</span><span class="keyword">echo </span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">get_output</span><span class="keyword">();
</span><span class="default">?&gt;</span>
</span>
</pre>

<p>Das Ergebnis:</p>
<?php
//Ein gltiger XML-String:
$obststring="<obst><apfel>gross</apfel></obst>";
require_once("../xml-line.php");
$mylines = new xml_line($obststring, "hixml");
$mylines->xml_stream();
// Inhalt des Puffers ausgeben:
echo $mylines->get_output();
?>
</body>
</html>