<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Elemente innerhalb eines Elternelements finden</title>
<meta name="author" content="Bieling Peter">
<meta name="generator" content="Ulli Meybohms HTML EDITOR">
<link rel="stylesheet" href="source.css" type="text/css">
</head>
<body>
<h3>add_attributes(): Attribute hinzufgen</h3>

<h4>Vorher:</h4>
<?php
require_once("../xml-line.php");
$mylines = new xml_line("xml-files/obst.xml", "hixml");
$mylines->xml_stream();
// Inhalt de Puffers ausgeben:
echo $mylines->get_output();
?>
<h4>PHP-Code:</h4>

<pre class="source"><span class="html">[...]
<span class="default">$search_array </span><span class="keyword">= array(</span><span class="default">0</span><span class="keyword">, </span><span class="string">"obst"</span><span class="keyword">, </span><span class="string">""</span><span class="keyword">, </span><span class="string">""</span><span class="keyword">,</span><span class="string">"1-1-1"</span><span class="keyword">);
</span><span class="default">$insert_array </span><span class="keyword">= array(</span><span class="string">"geschmack"</span><span class="keyword">=&gt;</span><span class="string">"lecker"</span><span class="keyword">, </span><span class="string">"farbe"</span><span class="keyword">=&gt;</span><span class="string">"grn"</span><span class="keyword">);
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">add_attributes</span><span class="keyword">(</span><span class="default">$search_array</span><span class="keyword">, </span><span class="default">$insert_array</span><span class="keyword">);
</span><span class="default">$mylines</span><span class="keyword">-&gt;</span><span class="default">xml_stream</span><span class="keyword">();
</span></span>[...]
</span>
</pre>
<h4>Ergebnis:</h4>
<?php
$mylines = new xml_line("xml-files/obst.xml", "hixml");
$search_array = array(0, "obst", "", "","1-1-1");
$insert_array = array("geschmack"=>"lecker", "farbe"=>"grn");
$mylines->add_attributes($search_array, $insert_array);
$mylines->xml_stream();
// Inhalt de Puffers ausgeben:
echo $mylines->get_output();
?>
</body>
</html>